package com.bonus.system.holiday.dao;

import com.bonus.system.api.domain.SysRole;
import com.bonus.system.holiday.entity.HolidayBean;
import com.bonus.system.holiday.entity.WorkReportBean;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 项目部角色-数据访问层
 * @author fly
 */
@Repository("RequestReportDao")
public interface RequestReportDao {
    /**
     * 新增请假记录
     * @param o
     * @return
     */
    int insertHoliday(HolidayBean o);

    /**
     * 获取数据
     * @param month
     * @return
     */
    List<WorkReportBean> selectDataByMonth(String month);

    /**
     * 新增
     * @param bean
     * @return
     */
    int insertWorkReportData(WorkReportBean bean);

    /**
     * 查询列表
     * @param bean
     * @return
     */
    List<WorkReportBean> getWorkReportList(WorkReportBean bean);

    /**
     * 详情查询
     * @param bean
     * @return
     */
    List<WorkReportBean> getDetailsList(WorkReportBean bean);

    /**
     * 根据用户id查询角色
     * @param userId
     * @return
     */
    List<SysRole> getRoleListByUserId(Long userId);

    /**
     * 修改状态
     * @param id
     * @return
     */
    WorkReportBean selectEvectionById(Long id);

    /**
     * 修改
     * @param bean
     * @return
     */
    int updateEvection(WorkReportBean bean);
}
